<?php
/**
 * Copyright © Magento, Inc. All rights reserved.
 * See COPYING.txt for license details.
 */

/** @var \Magento\Wishlist\Block\Customer\Wishlist\Item\Column\Image $block */

/** @var \Magento\Wishlist\Model\Item $item */
$item = $block->getItem();
$product = $item->getProduct();
$url = $block->getProductUrl($item);
if($url != '' && strpos($url,'?qty=') !== false) {
    $arUrls = explode('?qty=',$url);
    $offerId = $item->getId();
    $url = $arUrls[0].'?offer_id='.$offerId;
}

?>
<a class="product-item-photo" tabindex="-1" href="<?= $block->escapeUrl($url) ?>" title="<?= $block->escapeHtmlAttr($product->getName()) ?>">
    <?= $block->getImage($block->getProductForThumbnail($item), 'wishlist_thumbnail')->toHtml() ?>
</a>
